﻿$(document).ready(function () {
    $("div.area-box").disableSelection();
    $("#areas").sortable({
        items: ".area-box",
        handle: ".area-handle",
        placeholder: "ui-state-highlight",
        stop: function (event, ui) {
            var ids = $("#areas .area-box .area-handle").map(function () {
                return $(this).data("id");
            }).get();
            $.ajax({
                url: RQ_URL + "/Admin/SupportCentre/AreasChangePosition",
                type: "POST",
                data: JSON.stringify({
                    ids: ids
                }),
                dataType: "html",
                contentType: "application/json; charset=utf-8",
                success: function (g) {

                },
                error: function (error) { alert(error.responseText); },
                complete: function () {
                }
            });
        }
    });

    $(".categories").sortable({
        items: ".category-box",
        handle: ".category-handle",
        placeholder: "ui-state-highlight small",
        stop: function (event, ui) {
            var ids = $(event.target).find(".category-box .category-handle").map(function () {
                return $(this).data("id");
            }).get();
            $.ajax({
                url: RQ_URL + "/Admin/SupportCentre/CategoriesChangePosition",
                type: "POST",
                data: JSON.stringify({
                    ids: ids
                }),
                dataType: "html",
                contentType: "application/json; charset=utf-8",
                success: function (g) {

                },
                error: function (error) { alert(error.responseText); },
                complete: function () {
                }
            });
        }
    });

    $(".articles").sortable({
        items: ".article-box",
        handle: ".article-handle",
        placeholder: "ui-state-highlight small",
        stop: function (event, ui) {
            var ids = $(event.target).find(".article-box .article-handle").map(function () {
                return $(this).data("id");
            }).get();
            $.ajax({
                url: RQ_URL + "/Admin/SupportCentre/ArticlesChangePosition",
                type: "POST",
                data: JSON.stringify({
                    ids: ids
                }),
                dataType: "html",
                contentType: "application/json; charset=utf-8",
                success: function (g) {

                },
                error: function (error) { alert(error.responseText); },
                complete: function () {
                }
            });
        }
    });
});